## lzo2 2.05

=== debian/changelog ===
lzo2 (2.05-1) unstable; urgency=low

  * New upstream release
  * Updated standards version
  * Removed *.la file (closes: #622467)

 -- Peter Eisentraut <petere@debian.org>  Mon, 04 Jul 2011 20:09:22 +0300

lzo2 (2.04-1) unstable; urgency=low

  * New upstream release (closes: #610732)
  * Updated standards version
  * Changed to debhelper level 8

 -- Peter Eisentraut <petere@debian.org>  Sat, 19 Feb 2011 08:36:13 +0200
