## lzo2 2.06

=== debian/changelog ===
lzo2 (2.06-1) unstable; urgency=low

  * New upstream release
  * Fixed lintian warning brace-expansion-in-debhelper-config-file

 -- Peter Eisentraut <petere@debian.org>  Thu, 10 Nov 2011 07:11:13 +0200

lzo2 (2.05-2) unstable; urgency=low

  * Converted to multiarch
  * Changed priority to optional to match override

 -- Peter Eisentraut <petere@debian.org>  Mon, 01 Aug 2011 14:48:33 +0300
