=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: lzo2
 Section: libs
-Priority: important
+Priority: optional
 Maintainer: Peter Eisentraut <petere@debian.org>
 Standards-Version: 3.9.2
-Build-Depends: cdbs, debhelper (>= 8)
+Build-Depends: cdbs, debhelper (>= 8.1.3)
 Homepage: http://www.oberhumer.com/opensource/lzo/
 
 Package: liblzo2-dev
 Section: libdevel
-Priority: optional
 Architecture: any
 Depends: liblzo2-2 (= ${binary:Version}), libc6-dev, ${misc:Depends}
 Replaces: liblzo-dev
@@ -19,7 +18,9 @@
 
 Package: liblzo2-2
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
 Description: data compression library
  LZO is a portable, lossless data compression library.
  It offers pretty fast compression and very fast decompression.
