=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 
+DEB_CONFIGURE_PATH_ARGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 DEB_CONFIGURE_EXTRA_FLAGS = --enable-shared --disable-libtool-lock
 DEB_INSTALL_CHANGELOGS_ALL = NEWS
 DEB_INSTALL_DOCS_ALL =
