## lzo2 2.08

=== debian/changelog ===
lzo2 (2.08-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Adjust patch from previous upload so the "modern C" code path still
    defines some typedefs: lzo_memops_TU1p is a pointer to unsigned byte
    (used by the byteswapping implementation on non-powerpc big-endian
    architectures), and lzo_memops_TU2p and lzo_memops_TU4p
    are pointers to unsigned 2- and 4-byte quantities (needed by the
    powerpc assembler implementation). Together, these fix FTBFS on
    big-endian platforms. (Closes: #773580)

 -- Simon McVittie <smcv@debian.org>  Sat, 20 Dec 2014 17:50:38 +0000

lzo2 (2.08-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace liblzo's reinvention of memcpy() with calls to memcpy().
    gcc already knows how to inline memcpy calls with constant n,
    and also gets the alignment constraints right, avoiding incorrect
    unaligned accesses on armel (Closes: #757037)

 -- Simon McVittie <smcv@debian.org>  Tue, 16 Dec 2014 23:35:36 +0000

lzo2 (2.08-1) unstable; urgency=low

  * New upstream release (closes: #752861) (CVE-2014-4607)
  * Update standards version
  * Add autotools-dev to build dependencies (closes: #750622)

 -- Peter Eisentraut <petere@debian.org>  Mon, 14 Jul 2014 21:03:12 -0400

lzo2 (2.06-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Correct /usr/lib/liblzo2.so symlink (Closes: #720749)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 26 Aug 2013 20:25:00 +0100

lzo2 (2.06-1.1) unstable; urgency=low

  * Non-maintainer upload to unbreak btrfs/installer.
  * Install libzo2 library into /lib, because btrfs user space now depends
    on this library and thus is needed before /usr might be
    mounted. (Closes: #709422)
  * Create libzo2-2-udeb, for the debian-installer to use btrfs at install
    time.
  * Piggy-back release-goal, mark dev package Multi-Arch (Closes: #681840)

 -- Dmitrijs Ledkovs <xnox@debian.org>  Fri, 16 Aug 2013 09:53:32 +0100
