## lzo2 2.10

=== debian/changelog ===
lzo2 (2.10-3build1) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 13:41:33 +0000

lzo2 (2.10-3) unstable; urgency=medium

  [ Michael Biebl ]
  * Install shared library into /usr. Closes: #1064477.

  [ Stephen Kitt ]
  * Drop the “Replaces” stanza on liblzo-dev, it was removed in 2009.
  * Switch to debhelper compatibility level 13.
  * Override Lintian warnings for pre-compiled object files; their
    source is also provided.
  * Override the Lintian broken-lzo false-positive.
  * Update debian/watch to version 4.
  * Build-depend on pkgconf instead of pkg-config.
  * Standards-Version 4.7.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 27 May 2024 08:12:36 +0200

lzo2 (2.10-2) unstable; urgency=medium

  * Add missing pkg-config build-dependency.

 -- Stephen Kitt <skitt@debian.org>  Wed, 22 Jan 2020 21:35:19 +0100

lzo2 (2.10-1) unstable; urgency=medium

  * Adopt the package. Closes: #946756.
  * Switch to DEP5 debian/copyright.
  * Switch to secure URLs.
  * Switch to dh short rules and debhelper compatibility level 12.
  * Add a symbols file.
  * Set “Rules-Requires-Root: no”.
  * Add a repository on Salsa.
  * Standards-Version 4.5.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 22 Jan 2020 19:20:25 +0100

lzo2 (2.10-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release, with pkg-config support.
  * Don’t depend on libc6-dev, it’s pulled in by build-essential anyway
    (closes: #782099).

 -- Stephen Kitt <skitt@debian.org>  Tue, 01 May 2018 19:14:56 +0200
