=== debian/control ===
Source: lzo2
Section: libs
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13), pkgconf
Homepage: https://www.oberhumer.com/opensource/lzo/
Vcs-Browser: https://salsa.debian.org/debian/lzo2
Vcs-Git: https://salsa.debian.org/debian/lzo2.git
Rules-Requires-Root: no

Package: liblzo2-dev
Section: libdevel
Architecture: any
Depends: liblzo2-2 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: data compression library (development files)
 LZO is a portable, lossless data compression library.
 This package contains the header files and static libraries for the
 LZO data compression library.

Package: liblzo2-2
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: data compression library
 LZO is a portable, lossless data compression library.
 It offers pretty fast compression and very fast decompression.
 Decompression requires no memory.  In addition there are slower
 compression levels achieving a quite competitive compression ratio
 while still decompressing at this very high speed.

Package: liblzo2-2-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: data compression library
