=== debian/watch ===
version=4
https://www.oberhumer.com/opensource/lzo/download/lzo@ANY_VERSION@@ARCHIVE_EXT@  debian  uupdate
