=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: lzo2
 Section: libs
 Priority: optional
-Maintainer: Stephen Kitt <skitt@debian.org>
-Standards-Version: 4.7.0
-Build-Depends: debhelper-compat (= 13), pkgconf
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 12), pkg-config
 Homepage: https://www.oberhumer.com/opensource/lzo/
 Vcs-Browser: https://salsa.debian.org/debian/lzo2
 Vcs-Git: https://salsa.debian.org/debian/lzo2.git
@@ -13,6 +14,7 @@
 Section: libdevel
 Architecture: any
 Depends: liblzo2-2 (= ${binary:Version}), ${misc:Depends}
+Replaces: liblzo-dev
 Multi-Arch: same
 Description: data compression library (development files)
  LZO is a portable, lossless data compression library.
