## lzo2 2.10.1

=== debian/changelog ===
lzo2 (2.10.1-1+dde) UNRELEASED; urgency=medium

  * update

 -- Stephen Kitt <skitt@debian.org>  Tue, 24 May 2022 04:20:35 -0400

lzo2 (2.10.1-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * Add sunway support.

 -- Miao Changwei <miaochangwei@uniontech.com>  Tue, 19 Apr 2022 00:23:30 +0800
